package com.diagbot.entity.node;

import lombok.Data;
import com.diagbot.entity.node.base.BaseNode;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.Labels;
import org.neo4j.ogm.annotation.NodeEntity;
import org.neo4j.ogm.annotation.Relationship;

import java.io.Serializable;
import java.util.Set;

@Setter
@Getter
//@EqualsAndHashCode(callSuper = false)
@NodeEntity(label = "辅助检查")
public class PACS extends BaseNode  {

    @Relationship(type = "药品通用名禁忌性别", direction = Relationship.OUTGOING)
    private Gender gender;

    @Relationship(type="辅助检查禁忌年龄", direction = Relationship.OUTGOING)
    private Age age;

    @Relationship(type="辅助检查禁忌临床表现", direction = Relationship.OUTGOING)
    private Set<ClinicalFinding> clinicalfindings;

    @Relationship(type="辅助检查禁忌服用药品", direction = Relationship.OUTGOING)
    private Set<Medicine> conflict_medicines;

    @Relationship(type="辅助检查禁忌过敏药品", direction = Relationship.OUTGOING)
    private Set<AllergicMed> allergicmeds;

    @Relationship(type="辅助检查禁忌手术", direction = Relationship.OUTGOING)
    private Set<Operation> operations;

    @Relationship(type="辅助检查禁忌操作", direction = Relationship.OUTGOING)
    private Set<Procedure> procedures;

    @Relationship(type="辅助检查禁忌实验室检查", direction = Relationship.OUTGOING)
    private Set<LIS> liss;

    @Relationship(type="辅助检查禁忌疾病", direction = Relationship.OUTGOING)
    private Set<Disease> diseases;

    @Relationship(type="辅助检查禁忌人群", direction = Relationship.OUTGOING)
    private Set<Group> groups;

    @Relationship(type="药品通用名禁忌辅助检查", direction = Relationship.INCOMING)
    private Set<Medicine> medicines;
}





