package com.diagbot.rule;

import com.diagbot.dto.BillMsg;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.model.entity.Diag;
import com.diagbot.model.entity.Negative;
import com.diagbot.model.label.DiagLabel;
import com.diagbot.util.CoreUtil;
import org.apache.commons.lang3.StringUtils;

import java.lang.annotation.Native;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 实验室检查和辅助检查规则
 * @author: kwz
 * @time: 2020/8/3 14:47
 */
public class DiagRule {
    /**
     * 比较疾病
     *
     * @param drugLises
     * @param inputLises
     * @return
     */
    public static <T> BillMsg compareDiseaseWithBill(List<String> drugLises, List<T> inputLises, String name) {
        List<String> reports = new ArrayList<>();
        if(inputLises != null && inputLises.size() > 0){
            for (T d:inputLises) {
                Negative val = (Negative)CoreUtil.getFieldValue(d, "Negative");
                if(val == null){
                    String c = (String) CoreUtil.getFieldValue(d, "standName");
                    if(StringUtils.isNotBlank(c) && drugLises.contains(c)){
                        reports.add(c);
                    }
                }
            }
            if(reports.size()>0){
                String message = "";
                for(int i=0;i<reports.size();i++){
                    if(i != reports.size()-1){
                        message +=i+",";
                    }else {
                        message += i;
                    }
                }
                BillMsg commonBillMsg = CoreUtil.getCommonBillMsg(message, name);
                return commonBillMsg;
            }
        }

        return null;
    }
}
