package com.diagbot.rule;

import com.diagbot.biz.push.entity.Lis;
import com.diagbot.dto.BillMsg;
import com.diagbot.dto.WordCrfDTO;
import com.diagbot.model.entity.Diag;
import com.diagbot.model.entity.Negative;
import com.diagbot.model.label.DiagLabel;
import com.diagbot.util.CoreUtil;
import com.diagbot.util.StringUtil;
import org.apache.commons.lang3.StringUtils;

import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.List;

/**
 * @description: 疾病规则
 * @author: kwz
 * @time: 2020/8/3 14:47
 */
public class LisPacsRule {
    /**
     * 比较化验和辅检
     *
     * @param drugLis
     * @param inputLis
     * @return
     */
    public static <T> BillMsg compareLisPacsWithBill(List<String> drugLis, List<T> inputLis, String name) {
        List<String> tipDiseases = new ArrayList<>();
        if(drugLis.size() > 0 && inputLis.size() >0){
            for (T lis:inputLis) {
                String val = (String)CoreUtil.getFieldValue(lis, "name");
                if(StringUtils.isNotBlank(val) && drugLis.contains(val)){
                    tipDiseases.add(val);
                }
            }
        }
        if(tipDiseases.size() > 0){
            String message = "";
            for(int i=0;i<tipDiseases.size();i++){
                if(i != tipDiseases.size()-1){
                    message +=i+",";
                }else {
                    message += i;
                }
            }
            BillMsg commonBillMsg = CoreUtil.getCommonBillMsg(message, name);
            return commonBillMsg;
        }
        return null;
    }
}
